Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::StateIdValue Interface Reference

`import "CCM_Container_Ex.idl";`

Inheritance diagram for Components::StateIdValue:

[legend]
List of all members.

## Public Methods
StateIdType | get_sid_type ()
IdData | get_sid_data ()
StateIdType | get_sid_type ()
IdData | get_sid_data ()

## Member Function Documentation

IdData Components::StateIdValue::get_sid_data | ( |  | ) |

IdData Components::StateIdValue::get_sid_data | ( |  | ) |

StateIdType Components::StateIdValue::get_sid_type | ( |  | ) |

StateIdType Components::StateIdValue::get_sid_type | ( |  | ) |

The documentation for this interface was generated from the following files:

- CCM_Container_Ex.idl
- Component_Base.idl